Bug 1022215 - Readonly mode for shows invalid process when process includes custom service tasks
Readonly mode for shows invalid process when process includes custom service ...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 13:34 EDT by Maciej Swiderski
Modified: 2014-08-06 16:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:07:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
broken (171.99 KB, image/png)
2013-10-22 13:34 EDT, Maciej Swiderski
no flags Details
origin (122.60 KB, image/png)
2013-10-22 13:34 EDT, Maciej Swiderski
no flags Details
fixed (145.42 KB, image/png)
2013-12-10 10:49 EST, Marek Baluch
no flags Details

  None (edit)
Description Maciej Swiderski 2013-10-22 13:34:04 EDT
Created attachment 815133 [details]
broken

Description of problem:
When there is a process definition that includes custom service tasks designer will skip these tasks when view it in read only mode. read only mode is used to show process that is already deployed (from kjar directly).

Version-Release number of selected component (if applicable):


How reproducible:
follow instructions for the playground repo: https://github.com/droolsjbpm/jbpm-playground/tree/master/customers-relationships/src/main/resources

once process is deployed start instance of it and show process progress

Steps to Reproduce:
1.
2.
3.

Actual results:
see attached images - one (broken) with invalid content, origin with correct process

Expected results:
process should contain all nodes with proper markers.


Additional info:
Comment 1 Maciej Swiderski 2013-10-22 13:34:41 EDT
Created attachment 815134 [details]
origin
Comment 3 Tihomir Surdilovic 2013-10-24 13:51:13 EDT
fix in designer master and 6.0.x branches
Comment 4 Marek Baluch 2013-12-10 10:49:04 EST
Created attachment 834839 [details]
fixed
Comment 5 Marek Baluch 2013-12-10 10:49:49 EST
Verified on ER5 (see attached screenshot).

Note You need to log in before you can comment on or make changes to this bug.